Subject: Broken link partner advertised reporting in ethtool

From: Jamie Gloudon <[email-masked]>
Date: Mon, 27 Jul 2020 11:47:15 -0400

Hey,

While having a discussion with Sasha from Intel. I noticed link partner
advertised support is broken in ethtool 5.7. Sasha hinted to me, the
new API that ethtool is using.

I see the actual cause in dump_peer_modes() in netlink/settings.c, that
the mask parameter is set to false for dump_link_modes, dump_pause and
bitset_get_bit.

Regards,
Jamie Gloudon